/* File: calDB.h
 *
 * Time-stamp: <26-May-2003 19:40:54 goetz>
 * $Id: $
 *
 * Copyright (C) 2003 by Rdiger Goetz
 *
 * Author: me
 *
 * Description: 
 * 
 */
# ifndef CALDB_H_INCLUDED
# define CALDB_H_INCLUDED

#define DB_BUFFER_LEN 16384

#define DB_FLAG_PRIVATE  0x1
#define DB_FLAG_HIDDEN   0x2
#define DB_FLAG_CANCELED 0x4

extern char DBsep,DBsep2;
extern char DBbuffer[DB_BUFFER_LEN];
extern char *categories[MAX_CATEGORIES];
extern char *locations[MAX_LOCATION];
extern char DBbuffer[DB_BUFFER_LEN];
extern int DBInputVersion;
extern int DBVersion;

int readDB(char *file);
void writeDB(int key,char *content, int len);
void deleteFromDB(int key);
void createAlarmDB ();
void createAlarmDB (int test);
void checkAlarmDB ();
void readAlarmDB( );
void rereadAlarmDB( );
void writeAlarmItem2DB(int key, time_t alarmTime[4]);
int unsplit(char **tp,int max, char *s,char sep);
int unsplit(char **tp,int max, char *s,char sep,int len);
char *skip2NextSep(char *t,char sep);
char *skip2Next(char *t,char sep);
char *extractNext (char *t,char sep, char *dup);

# endif
