#!/bin/sh

CC="mipsel-linux-snow-gcc -O -B/opt/snow-gcc/lib/snow/ -fno-pic -msoft-float -DVR3"
LIBS="-lflpda -lflek_ui -lflek_core  -lfltk -lXext -lX11 -lm  -ldb1"
SRC="gui editApp utils dayCal monthCal alarm acal db prefs"
OBJ=""

for obj in $SRC
do
    OBJ="$OBJ $obj.o"
    if [ -r $obj.o ]
    then
	if [ $obj.o -nt $obj.cc ]
	then
	    echo "$obj.o is up to date"
	    continue
	fi
    fi
    echo "$CC -c $obj.cc -o $obj.o"
    $CC -c $obj.cc -o $obj.o
done
