// File: monthCal.cc
//
// Time-stamp: <12-May-2003 22:53:13 goetz>
// $Id: $
//
// Copyright (C) 2003 by Rdiger Goetz
//
// Author: me
//
// Description: 
// 
//

# include <stdio.h>
# include <stdlib.h>
# include <string.h>
# include <math.h>
# include <unistd.h>

#include "calendrian.h"
// #include "acal_gui.h"
// #include "appointment.h"
//extern Calendar cal;
//extern timeDef  selectDateMonth;
//extern Fl_Button *selectDateDateButtons[31],*selectDateButtons[42];
//extern Fl_Dockable_Window *dayCalTopTB;
extern ToolBar *topTB;
MonthView *monthCalView;
void switchToDayCal(Fl_Widget *w, void *d);
void fillMonthCal(Fl_Widget *w, void *d);
void monthCalSwitchToDayCal(timeDef sel);
void monthCalSetUsedDates(timeDef *mon,int *daysUsed);
void cancelSelectDate(Fl_Widget *w);

// MonthCal

void drawMonthCalWindow()
{

 printf("\n\n\n\n\nMONTH CAL %p // %p\n",calWindow,activeCal);

 currentCalView=MONTH_CAL;

 clearActiveCal();

 if(monthCalView == NULL)
  {
   monthCalView = new MonthView;
   monthCalView->init(&currentDate,monthCalSetUsedDates,monthCalSwitchToDayCal);
  }

 
 monthCalView->fillTB(topTB);
 activeCal->begin();
 monthCalView->createCal();
 monthCalView->fill();
 activeCal->end();


 activeCal->hide();     // Sonst passiert kein redraw :-(
 activeCal->show();
 calWindow->contents()->resizable(activeCal);

 currentCalTopTB= MONTH_CAL;

}

void monthCalSwitchToDayCal(timeDef sel)
{
 currentDate=sel;
 buildCalendar(DAY_CAL);  
}

void monthCalSetUsedDates(timeDef *mon,int *daysUsed)
{
 AppointmentInstanceList *sel;
 timeDef t0,t1;
 currentDate = mon;

 t0 = currentDate;
 t1 = currentDate;
 t0.beginningOfMonth();
 t1.endOfMonth();
 calFilter.from = mktime(&t0.tm);
 calFilter.to   = mktime(&t1.tm);
 sel = cal.select(&calFilter);
 
 struct tm *lt;
 int lastDay =monLen[currentDate.mon];
 if ( currentDate.mon==2 && (currentDate.year %4) == 0 )
  lastDay++;

 for(int i=1;i<=31; i++)
  daysUsed[i]=false;

 if(sel != NULL)
  for(int i=0;i<sel->count; i++)
   {
    int d0,d1;
    lt=localtime(&sel->app[i]->start);
    d0 = lt->tm_mday;
    if(sel->app[i]->start<calFilter.from)
     d0 =1;
    lt=localtime(&sel->app[i]->stop);
    d1 = lt->tm_mday;
    if(sel->app[i]->start> calFilter.to )
     d1 =lastDay;
    
    for(int d=d0;d<=d1; d++)
     daysUsed[d] = true;
   }
}
//

static MonthView *selDayView;
static Fl_App_Window * selectDayWindow;
static Fl_Dockable_Window *selectDayTB=NULL;
static Fl_Button * selectDayTBdone;
static SelectDateCallBack *selectDate_cb;

void selectDayCallBack(timeDef sel)
{
 delete selectDayWindow;
 selectDate_cb(sel);
}
void selectDay ( timeDef *mon, SelectDateCallBack *sel)
{

 selectDate_cb = sel;
 selectDayWindow =   WidgetFactory::new_window("Select Date");

 selectDayTB =  WidgetFactory::new_toolbar();


 selectDayTB->begin(); 
 selectDayTBdone = WidgetFactory::new_button("");
 selectDayTBdone->label("Cancel");
 selectDayTBdone->resize(0,0,32,16);
 selectDayTBdone->callback(cancelSelectDate);
 selectDayTBdone->show();
 selectDayTB->end();
 selectDayWindow->add_dockable(selectDayTB,1);
 // selectDayWindow->add(g);


 selDayView =  new MonthView ;
 selDayView->init(mon,NULL,selectDayCallBack);
 selDayView->createTB(selectDayWindow);

 selectDayWindow->begin();
 // g->begin();
 selDayView->createCal();
//  printf("SD created, filling\n");
 selDayView->fill();
//  printf("SD filling done\n");
//  g->end();
//  g->show();
 selectDayWindow->end();
 selectDayWindow->show();
}
void cancelSelectDate(Fl_Widget *w)
{
 // monthView =NULL;
 delete selDayView;
 delete selectDayWindow;
}
