// File: monthView.cc
//
// Time-stamp: <11-May-2003 21:08:29 goetz>
// $Id: $
//
// Copyright (C) 2003 by Rdiger Goetz
//
// Author: me
//
// Description: 
// 
//

# include <stdio.h>
# include <stdlib.h>
# include <string.h>
# include <math.h>
# include <unistd.h>
#include "calendrian.h"



static Fl_Dockable_Window *selectDayTB=NULL;
static Fl_Dockable_Window *monthViewTopTB=NULL;
static Fl_App_Window * selectDayWindow;
static Fl_Button * selectDayTBdone;
static Fl_Button *selectDateWeekDay[7];
// static Fl_Button *selectDateYearMinus,*selectDateMonMinus,*selectDateCurrentMonth;
// static Fl_Button *selectDateMonPlus,*selectDateYearPlus;
static Fl_Button *selectDateTargetButton;
static char selectDateCurrentMonthText[32],selectDateDateButtonText[32][4],*targetString;
static timeDef  *targetDate;
static Fl_Callback *targetCallBack , *fillMonthCallBack;
timeDef  selectDateMonth;





void selectDay();
// void selectDatePrvYear(Fl_Widget *w);
// void selectDateNxtYear(Fl_Widget *w);
// void selectDatePrvMon(Fl_Widget *w);
// void selectDateNxtMon(Fl_Widget *w);
void drawMonthView(timeDef *month);
void _drawMonthView();
void cancelSelectDate(Fl_Widget *w);
// void selectDateReFillMonth();
void selectDateAccept(Fl_Widget *w, void *d);



void selectDay(Fl_Button *w,char *str, timeDef *date)
{
 selectDateTargetButton = w;
 targetDate = date;
 targetString = str;
 selectDay();
}
void selectDay(Fl_Callback *fkt, timeDef *date)
{
 targetDate = date;
 targetCallBack = fkt;
 selectDay();
}
void selectDay()
{

 selectDayWindow =   WidgetFactory::new_window("Select Date");


 selectDayTB =  WidgetFactory::new_toolbar();


 selectDayTB->begin();
 
 selectDayTBdone = WidgetFactory::new_button("");
 selectDayTBdone->label("Cancel");
 selectDayTBdone->resize(0,0,32,16);
 selectDayTBdone->callback(cancelSelectDate);
 selectDayTBdone->show();
 selectDayTB->end();
 selectDayWindow->add_dockable(selectDayTB,1);


 drawMonthViewTopTB(selectDayWindow,0);
 
 selectDayWindow->begin();
 drawMonthView(targetDate,NULL);
 selectDayWindow->end();
 selectDayWindow->show();


 for(int i=0;i<42; i++)
  selectDateButtons[i]->callback(selectDateAccept);
}

void selectDateAccept(Fl_Widget *w, void *d)
{
 Fl_Button *m = (Fl_Button *) w;
 const char *t = m->label();

 if( t[0]!='\0')
  {
   *targetDate = selectDateMonth;
   targetDate->day = atoi(t);
   targetDate->set();

   if(targetString != NULL)
    strftime(targetString,31,"%d.%b.%Y",&targetDate->tm);
   if(selectDateTargetButton!= NULL)
    selectDateTargetButton->redraw();
   if(targetCallBack!= NULL)
    targetCallBack(w,(void *)targetDate);
   cancelSelectDate(w);
  }
}
void cancelSelectDate(Fl_Widget *w)
{
 // monthView =NULL;
 delete selectDayWindow;
}

void drawMonthView(timeDef *month,Fl_Callback fkt)
{
 selectDateMonth = month;
 fillMonthCallBack = fkt;
 selectDateMonth.day=1;
 selectDateMonth.set(); 
 _drawMonthView();
 // selectDateReFillMonth();
}

#ifdef OLD
Fl_Dockable_Window * drawMonthViewTopTB (Fl_App_Window *w,int pos)
{

 monthViewTopTB= WidgetFactory::new_toolbar();
 monthViewTopTB->begin();

 selectDateYearMinus = new Fl_Button (0,0,24,16,"@<<");
 selectDateYearMinus->callback(selectDatePrvYear);
 selectDateYearMinus->labelsize(12);
 selectDateYearMinus->labeltype(FL_SYMBOL_LABEL);

 selectDateMonMinus = new Fl_Button (24,0,24,16,"@<");
 selectDateMonMinus->callback(selectDatePrvMon);
 selectDateMonMinus->labelsize(12);
 selectDateMonMinus->labeltype(FL_SYMBOL_LABEL);
 selectDateMonMinus->shortcut(FL_Left);

 selectDateCurrentMonth = new Fl_Button (48,0,64,16,"");
 selectDateCurrentMonth->labelsize(12);
 selectDateCurrentMonth->labelfont(FL_HELVETICA_BOLD);

 selectDateMonPlus = new Fl_Button (112,0,24,16,"@>");
 selectDateMonPlus->callback(selectDateNxtMon);
 selectDateMonPlus->labelsize(12);
 selectDateMonPlus->labeltype(FL_SYMBOL_LABEL);
 selectDateMonPlus->shortcut(FL_Right);
 selectDateYearPlus = new Fl_Button (136,0,24,16,"@>>");

 selectDateYearPlus->callback(selectDateNxtYear);
 selectDateYearPlus->labelsize(12);
 selectDateYearPlus->labeltype(FL_SYMBOL_LABEL);
 monthViewTopTB->end();

 w->add_dockable(monthViewTopTB,pos);
}

void _drawMonthView()
{
 // int lp[8]={2,30,50,70, 90,110,130,150};
 int lp[8]={2,14,34,54, 74, 94,114,134};
 int x,y;
 int anz;
 


 x=10;
 for(int i=0;i<7;i++)
  {
   selectDateWeekDay[i] = new Fl_Button(x,lp[1],20,20,weekDaysShort[i]);
   selectDateWeekDay[i]->labelsize(12);
   x+=20;
  }

 
 int i=0;
 for(int y=2; y<8; y++)
  for(int x=10;x <131; x+=20)
   {
    //    selectDateButtons[i] =  new  Fl_Button (x,lp[y],22,22);
    selectDateButtons[i] =  WidgetFactory::new_button(x,lp[y]);
    selectDateButtons[i]->size(20,20);
    selectDateButtons[i]->labelsize(12);
    i++;
   }

 anz =i;



 for(int i=1;i<=31; i++)
  sprintf(selectDateDateButtonText[i],"%2d",i );

//  for(int i=0;i<anz ; i++)
//   printf("%2d:  %3dx%3d  +%3d +%3d\n",i,selectDateButtons[i]->w(),selectDateButtons[i]->h(),selectDateButtons[i]->x(),selectDateButtons[i]->y());
 

}

void selectDateReFillMonth()
{
 int off,extra=0;

 for(int i=0;i<42; i++)
  selectDateButtons[i]->label("");

 strftime(selectDateCurrentMonthText,31,"%b %Y",&selectDateMonth.tm);
 selectDateCurrentMonth->label(selectDateCurrentMonthText);
 selectDateCurrentMonth->redraw();

 if(selectDateMonth.mon==2)
  if( (selectDateMonth.year %4 )  == 0)
   extra =1;

 off = selectDateMonth.wday;

 // printf("Length of month %d : %d +%d\n",selectDateMonth.mon,monLen[selectDateMonth.mon],extra);
 // printf("\t\t OFFSET =%d\n",off);
 for(int i=0; i<monLen[selectDateMonth.mon]+extra ; i++)
  {
   selectDateDateButtons[i+1] = selectDateButtons[i+off];
   selectDateDateButtons[i+1]->label(selectDateDateButtonText[i+1]);
  }
 
 for(int i=0;i<35; i++)
  selectDateButtons[i]->redraw();
 if(monLen[selectDateMonth.mon]+extra+off <=35)
  for(int i=35;i<42; i++)
   selectDateButtons[i]->hide();
 else
  for(int i=35;i<42; i++)
   {
    selectDateButtons[i]->show();
    selectDateButtons[i]->redraw();
   }

 if(fillMonthCallBack != 0)
  fillMonthCallBack(NULL,(void *) &selectDateMonth);
}

void selectDatePrvYear(Fl_Widget *w)
{
 selectDateMonth.skip2PrevYear();
 selectDateMonth.set(); 
 selectDateReFillMonth();
}
void selectDateNxtYear(Fl_Widget *w)
{
 selectDateMonth.skip2NextYear();
 selectDateMonth.set(); 
 selectDateReFillMonth();
}
void selectDatePrvMon(Fl_Widget *w)
{
 selectDateMonth.skip2PrevMonth();
 selectDateMonth.set(); 
 selectDateReFillMonth();
}
void selectDateNxtMon(Fl_Widget *w)
{
 selectDateMonth.skip2NextMonth();
 selectDateMonth.set(); 
 selectDateReFillMonth();
}


#endif
